Skip to main content
POST
Cancel payable

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-finops-version
string<date>
required
x-organization-id
string<uuid>
required

The ID of the entity that owns the requested resource.

Example:

"9d2b4c8f-2087-4738-ba91-7359683c49a4"

Path Parameters

payable_id
string<uuid>
required

Response

Successful Response

Represents an Accounts Payable document received from a vendor or supplier.

id
any
required

A unique ID assigned to this payable.

created_at
any
required

UTC date and time when this payable was created. Timestamps follow the ISO 8601 format.

updated_at
any
required

UTC date and time when this payable was last updated. Timestamps follow the ISO 8601 format.

credit_notes
any
required

The list of linked credit notes of the payable.

entity_id
any
required

The ID of the entity to which the payable was issued.

payable_origin
any
required

Specifies how this payable was created in Monite: upload - created via an API call, email - sent via email to the entity's mailbox.

source_of_payable_data
any
required

Specifies how the property values of this payable were provided: ocr - Monite OCR service extracted the values from the provided PDF or image file, user_specified - values were added or updated via an API call.

status
any
required

The status of the payable.

amount_due
any

How much is left to be paid on the invoice (in minor units).

Example:

1000

amount_paid
any

How much was paid on the invoice (in minor units).

Example:

1000

amount_to_pay
any

How much is left to be paid on the invoice (in minor units) with discounts from payment terms.

Example:

1000

approval_policy_id
any

Id of existing approval policy that applies to this payable, if any. A policy is applied if the payable matches the policy trigger conditions.

counterpart
any

Object representing de-normalized counterpart data. Filled at the moment of invoice submitting for approval or payment.

counterpart_address_id
any

The ID of counterpart address object stored in counterparts service

counterpart_bank_account_id
any

The ID of counterpart bank account object stored in counterparts service

counterpart_id
any

The ID of the counterpart object that represents the vendor or supplier.

counterpart_raw_data
any

Object representing counterpart data which was extracted by OCR. Used for informational purposes.

counterpart_vat_id_id
any

The ID of counterpart VAT ID object stored in counterparts service

currency
any

The currency code of the currency used in the payable.

Example:

"USD"

currency_exchange
any
description
any

An arbitrary description of this payable.

discount
any

The value of the additional discount that will be applied to the total amount. in minor units. For example, $12.50 is represented as 1250.

Example:

500

document_id
any

A unique invoice number assigned by the invoice issuer for payment tracking purposes. This is different from id which is an internal ID created automatically by Monite.

Example:

"INV-2287"

due_date
any

The date by which the payable must be paid, in the YYYY-MM-DD format. If the payable specifies payment terms with early payment discounts, this is the final payment date.

duplicates
any

Suspected and reviewed duplicates of this payable. Both payables of a matched pair see the same match. Ordered: suspected first, then confirmed, then dismissed, newest first within each group. At most 100 entries are returned.

enforce_approval_policy_id
any

Id of an existing approval policy that should be enforced when submitting the payable for approval.If this field is set, no other policies will be evaluated via their triggers - the specified policy will always be applied instead.

file
any

The original file from which this payable was created.

file_id
any

File id to retrieve the stored file info.

issued_at
any

The date when the payable was issued, in the YYYY-MM-DD format.

marked_as_paid_by_entity_user_id
any

The ID of the entity user who marked this document as paid.

Example:

"71e8875a-43b3-434f-b12a-54c84c176ef3"

marked_as_paid_with_comment
any

An arbitrary comment that describes how and when this payable was paid.

Example:

"Was paid partly in the end of the month."

ocr_request_id
any

Id of OCR request to match asynchronous result of processing payable.

ocr_status
any

The status of the data recognition process using OCR. The 'processing' status means that the data recognition is in progress and the user needs to wait for the data enrichment. The 'error' status indicates that some error occurred on the OCR side and the user can fill in the data manually. The 'success' status means the data recognition has been successfully completed, after which the user can check the data if desired and enrich or correct it.

other_extracted_data
any

Data extracted from the uploaded payable by OCR.

paid_at
any

The date by which the payable was paid

partner_metadata
any

Metadata for partner needs

payment_terms
any

The number of days to pay with potential discount for options shorter than due_date

project_id
any

Project id of a payable.

purchase_order_id
any

The identifier of the purchase order to which this payable belongs.

scheduled_payment_date
any

The date of this payable's earliest live scheduled payment, in the YYYY-MM-DD format, or null if it has none. This is the value sort=scheduled_payment_date orders by; payables with no live scheduled payment sort last in ascending order and first in descending order.

sender
any

The email address from which the invoice was sent to the entity.

Example:

"hello@example.com"

subtotal
any

The subtotal amount to be paid, in minor units. For example, $12.50 is represented as 1250.

Example:

1250

suggested_payment_term
any

The suggested date and corresponding discount in which payable could be paid. The date is in the YYYY-MM-DD format. The discount is calculated as X * (10^-4) - for example, 100 is 1%, 25 is 0,25%, 10000 is 100 %. Date varies depending on the payment terms and may even be equal to the due date with discount 0.

tags
any

A list of user-defined tags (labels) assigned to this payable. Tags can be used to trigger a specific approval policy for this payable.

tax
any

Registered tax percentage applied for a service price in minor units, e.g. 200 means 2%, 1050 means 10.5%.

Example:

2000

tax_amount
any

Tax amount in minor units. For example, $12.50 is represented as 1250.

Example:

250

total_amount
any

The total amount to be paid, in minor units. For example, $12.50 is represented as 1250.

Example:

1500

total_amount_with_credit_notes
any

The total price of the payable in minor units, excluding all issued credit notes.

was_created_by_user_id
any